#ifndef HZ_LCD_INCLUDED
#define HZ_LCD_INCLUDED

// Includes
#include <P18CXXX.h>
#include "Defines.h"
#include "Util.h"

// Defines
#define	LCD_PORT		PORTB
#define	LCD_TRIS		TRISB
#define	LCD_E			PIN( 5 )
#define	LCD_RS			PIN( 7 )
#define	LCD_REG_CLOCK	PIN( 6 )
#define	LCD_REG_DATA	PIN( 7 )

// Function Prototypes
void LCDInit( void );
void LCDCmd( unsigned int iCommand );
void LCDData( unsigned int iData );
void LCDStrobeE( void );
void LCDStrobeReg( void );

void LCDClear( void );
void LCDCGRAM( unsigned int iCharacter );
void LCDLine( unsigned int iLine );
void LCDGoto( unsigned int iLine, unsigned int iColumn );
void LCDPrint( const rom char* pString );
void LCDPrintSlow( const rom char* pString, unsigned int iDelay );
void LCDFloatNumber2DP( float fNumber );
void LCDIntNumber2DP( unsigned int iNumber );

#endif // HZ_LCD_INCLUDED
