#ifndef HZ_UTIL_INCLUDED
#define HZ_UTIL_INCLUDED

// Includes
#include <P18CXXX.h>
#include "Defines.h"

// Defines
#define PIN( n ) ( 1 << n )
#define PIN_ON( port, pin ) ( port |= (pin) )
#define PIN_OFF( port, pin ) ( port &= ~(pin) )

#define SET( reg, bit ) ( reg |= ( 1 << bit ) )
#define CLEAR( reg, bit ) ( reg &= ~( 1 << bit ) )
#define IS_SET( reg, bit ) ( ( reg >> bit ) & 0x01 )
#define IS_NOT_SET( reg, bit ) ( ~( reg >> bit ) & 0x01 )

#ifdef CLOCK_4MHZ
	#define DELAY_TIME_1MS 0x40
#else
	#ifdef CLOCK_8MHZ
		#define DELAY_TIME_1MS 0x80
	#else
		#ifdef CLOCK_20MHZ
			#define DELAY_TIME_1MS 0x140
		#endif
	#endif
#endif

// Function Prototypes
void Delay( unsigned int iDelayTime );

#endif // HZ_UTIL_INCLUDED
